﻿@using TicketShop.Data.Enums
@model NewMovieViewModel

@{
    ViewData["Title"] = "Create a new movie";
}
<head>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
</head>

<div class="row">
    <div class="col-md-8 offset-2">
        <p>
            <h4>Create a new movie</h4>
        </p>

        <div class="row">
            <div class="col-md-8 offset-2">
                <form asp-action="Create">
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label asp-for="Name" class="control-label"></label>
                                <input asp-for="Name" class="form-control" />
                                <span asp-validation-for="Name" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="StartDate" class="control-label"></label>
                                <input asp-for="StartDate" type="date" class="form-control" />
                                <span asp-validation-for="StartDate" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="EndDate" class="control-label"></label>
                                <input asp-for="EndDate" type="date" class="form-control" />
                                <span asp-validation-for="EndDate" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Price" class="control-label"></label>
                                <input asp-for="Price" type="number" class="form-control" />
                                <span asp-validation-for="Price" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="ImageURL" class="control-label"></label>
                                <input asp-for="ImageURL" class="form-control" />
                                <span asp-validation-for="ImageURL" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label asp-for="CinemaId" class="control-label"></label>
                                <select asp-for="CinemaId" class="form-control" asp-items="ViewBag.Cinemas"></select>
                                <span asp-validation-for="CinemaId" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="MovieCategory" class="control-label"></label>
                                <select asp-for="MovieCategory" class="form-control" asp-items="Html.GetEnumSelectList<MovieCategory>()"></select>
                                <span asp-validation-for="MovieCategory" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="ProducerId" class="control-label"></label>
                                <select asp-for="ProducerId" class="form-control" asp-items="ViewBag.Producers"></select>
                                <span asp-validation-for="ProducerId" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="ActorIds" class="control-label"></label>
                                <select asp-for="ActorIds" class="form-control" multiple asp-items="ViewBag.Actors"></select>
                                <span asp-validation-for="ActorIds" class="text-danger"></span>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label asp-for="Description" class="control-label"></label>
                                <textarea asp-for="Description" class="form-control"></textarea>
                                <span asp-validation-for="Description" class="text-danger"></span>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-4 offset-4 text-center">
                        <img width="100%" id="ImageUrlPreview" />
                    </div>

                    <div class="form-group">
                        <input type="submit" value="Create" class="btn btn-outline-success float-right" />
                        <a class="btn btn-outline-secondary" asp-action="Index">Show all</a>
                    </div>

                </form>

            </div>
        </div>

    </div>
</div>

@section Scripts {
    <script>
        $("#ImageURL").on("change", function () {
            var output = document.getElementById("ImageUrlPreview");
            output.src = $(this).val();
        })
    </script>
}